﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Application.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Identity
{
    public interface IUserService
    {
        Task<PagingResultDto<UserAllDto>> GetAll(UserPagingInputDto PagingInputDto);
        Task<UserDto> GetById(string userId);
        Task<List<UserDto>> GetAllEmployees();


        Task Delete(string id);
        Task<UserDto> Create(UserDto input);
        Task<UserDto> Update(UserDto input);
        Task<ForgetPasswordResponseDto> ForgetPasswordMail(string input);
        Task<bool> ResetPassword(ResetPasswordDto input);

        Task<bool> ForgetPassword(ForgetPasswordDto model);
        Task<bool> ConfirmEmail(ConfirmEmailDto model);
        Task<bool> IsExpiredToken(ConfirmEmailDto model);
        Task<bool> VerifyOTP(VerifyOTPDto input);

        Task<List<UserAllDto>> GetAllCompanyEmployees();

    }
}
