﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class JobTitles : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "Industries",
                columns: new[] { "Id", "NameAr", "NameEn" },
                values: new object[,]
                {
                    { 1L, "صناعة الطيران والفضاء", "Aerospace industry" },
                    { 2L, "صناعة الزراعة", "Agricultural industry" },
                    { 3L, "صناعة السيارات", "Automotive industry" },
                    { 4L, "صناعة المعادن الأساسية", "Basic metal" },
                    { 5L, "صناعة الكيماويات", "Chemical industry" },
                    { 6L, "صناعة الحواسيب", "Computer industry" },
                    { 7L, "صناعة البناء", "Construction industry" },
                    { 8L, "صناعة الإبداعية", "Creative industry" },
                    { 9L, "صناعة الثقافة", "Cultural industry" },
                    { 10L, "صناعة الدفاع", "Defense industry" },
                    { 11L, "صناعة التعليم", "Education industry" },
                    { 12L, "صناعة الطاقة الكهربائية", "Electric power" },
                    { 13L, "صناعة الإلكترونيات", "Electronics industry" },
                    { 14L, "صناعة الطاقة", "Energy industry" },
                    { 15L, "صناعة الهندسة", "Engineering industry" },
                    { 16L, "صناعة الترفيه", "Entertainment industry" },
                    { 17L, "صناعة الزراعة", "Farming industry" },
                    { 18L, "صناعة الموضة", "Fashion industry" },
                    { 19L, "صناعة السينما", "Film industry" },
                    { 20L, "صناعة الخدمات المالية", "Financial services" },
                    { 21L, "صناعة الصيد", "Fishing industry" },
                    { 22L, "صناعة الأغذية", "Food industry" },
                    { 23L, "صناعة الغابات", "Forestry industry" },
                    { 24L, "صناعة القمار", "Gambling industry" },
                    { 25L, "صناعة الغاز", "Gas industry" },
                    { 26L, "صناعة البيئة", "Green industry" },
                    { 27L, "صناعة الخدمات الصحية", "Health services industry" },
                    { 28L, "صناعة الضيافة", "Hospitality industry" },
                    { 29L, "صناعة الفنادق", "Hotels industry" },
                    { 30L, "صناعة الروبوتات الصناعية", "Industrial robot" },
                    { 31L, "صناعة المعلومات", "Information industry" },
                    { 32L, "صناعة تكنولوجيا المعلومات", "Information technology" },
                    { 33L, "صناعة البنية التحتية", "Infrastructure industry" },
                    { 34L, "صناعة التأمين", "Insurance industry" },
                    { 35L, "صناعة الترفيه", "Leisure industry" },
                    { 36L, "صناعة التكنولوجيا المنخفضة", "Low technology" },
                    { 37L, "صناعة التصنيع", "Manufacturing industry" },
                    { 38L, "صناعة اللحوم", "Meat industry" },
                    { 39L, "صناعة الإعلام", "Media industry" },
                    { 40L, "صناعة التجارة", "Merchandising industry" },
                    { 41L, "صناعة التعدين", "Mining industry" },
                    { 42L, "صناعة الموسيقى", "Music industry" },
                    { 43L, "صناعة وسائل الإعلام", "News media" },
                    { 44L, "صناعة النفط والغاز", "Oil and gas industry" },
                    { 45L, "صناعة الأدوية", "Pharmaceutical industry" },
                    { 46L, "صناعة المهنية", "Professional industry" },
                    { 47L, "صناعة النشر", "Publishing industry" },
                    { 48L, "صناعة الورق واللب", "Pulp and paper industry" },
                    { 49L, "صناعة السكك الحديدية", "Railway industry" },
                    { 50L, "الانشاءات", "Real estate" }
                });

            migrationBuilder.InsertData(
                table: "JobTitles",
                columns: new[] { "Id", "NameAr", "NameEn" },
                values: new object[,]
                {
                    { 1L, "مساعد ادارى", "Administrative Assistant" },
                    { 2L, "موظف استقبال", "Receptionist" },
                    { 3L, "مدير مكتب", "Office Manager" },
                    { 4L, "مدقق محتوى", "Auditing Clerk" },
                    { 5L, "محاسب", "Bookkeeper" },
                    { 6L, "مدير تنفيذى", "Account Executive" },
                    { 7L, "مدير فرع", "Branch Manager" },
                    { 8L, "مدير", "Business Manager" },
                    { 9L, "مسؤول الجودة", "Quality Control Coordinator" },
                    { 10L, "مدير ادارى", "Administrative Manager" },
                    { 11L, "الرئيس التنفيذي", "Chief Executive Officer" },
                    { 12L, "محلل", "Business Analyst" },
                    { 13L, "مدير المخاطر", "Risk Manager" },
                    { 14L, "موارد بشرية", "Human Resources" },
                    { 15L, "مساعد مكتب", "Office Assistant" },
                    { 16L, "السكرتارية", "Secretary" },
                    { 17L, "موظف مكتب", "Office Clerk" },
                    { 18L, "جامع الحسابات", "Account Collector" },
                    { 19L, "أخصائي إداري", "Administrative Specialist" },
                    { 20L, "مساعد تنفيذي", "Executive Assistant" },
                    { 21L, "مسؤل البرنامج", "Program Administrator" },
                    { 22L, "مدير البرنامج", "Program Manager" },
                    { 23L, "محلل إداري", "Administrative Analyst" },
                    { 24L, "مدخل بيانات", "Data Entry" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 1L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 2L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 3L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 4L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 5L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 6L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 7L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 8L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 9L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 10L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 11L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 12L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 13L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 14L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 15L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 16L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 17L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 18L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 19L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 20L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 21L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 22L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 23L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 24L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 25L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 26L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 27L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 28L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 29L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 30L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 31L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 32L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 33L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 34L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 35L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 36L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 37L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 38L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 39L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 40L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 41L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 42L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 43L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 44L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 45L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 46L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 47L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 48L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 49L);

            migrationBuilder.DeleteData(
                table: "Industries",
                keyColumn: "Id",
                keyValue: 50L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 1L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 2L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 3L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 4L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 5L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 6L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 7L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 8L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 9L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 10L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 11L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 12L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 13L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 14L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 15L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 16L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 17L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 18L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 19L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 20L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 21L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 22L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 23L);

            migrationBuilder.DeleteData(
                table: "JobTitles",
                keyColumn: "Id",
                keyValue: 24L);
        }
    }
}
